Bug 501822 - Add patch to support 16 bit tiff images
Add patch to support 16 bit tiff images
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-imaging (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: José Matos
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 17:16 EDT by Jonathan Underwood
Modified: 2010-12-05 01:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:53:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2009-05-20 17:16:27 EDT
Description of problem:
The 16 bit tiff support present in PIL needs an extra small patch added to make it work correctly. This can be found here:

https://bugs.launchpad.net/ubuntu/+source/python-imaging/+bug/198892

Any chance of adding this to the Fedora packages (I just bumped into the issue myself, and it took a while to work out why it wasn't working).
Comment 1 José Matos 2009-05-21 02:24:12 EDT
Without digging too much on this issue do you know if this support is present in the coming 1.1.7 series that is now at beta (alpha?) stage?
Comment 2 Jonathan Underwood 2009-05-21 06:21:51 EDT
(In reply to comment #1)
> Without digging too much on this issue do you know if this support is present
> in the coming 1.1.7 series that is now at beta (alpha?) stage?  

I don't know actually - I checked on the webpage but don't see any link for the 1.1.7 series download. Do you have a link?

[Actually the support is actually present in 1.1.6 but not enabled due to that single missing line - seems like an oversight.]
Comment 3 Bug Zapper 2009-11-18 06:59:34 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 José Matos 2009-11-19 14:02:42 EST
(In reply to comment #2)
> (In reply to comment #1)
> > Without digging too much on this issue do you know if this support is present
> > in the coming 1.1.7 series that is now at beta (alpha?) stage?  
> 
> I don't know actually - I checked on the webpage but don't see any link for the
> 1.1.7 series download. Do you have a link?

http://mail.python.org/pipermail/image-sig/2009-April/005608.html

> [Actually the support is actually present in 1.1.6 but not enabled due to that
> single missing line - seems like an oversight.]  

I agree that it really seems an oversight.

I am bit short on time, but if you could test that the change works I will test and ship an update for 1.1.6 with the simple one line fix.

Thanks.
Comment 5 Bug Zapper 2010-11-04 07:13:34 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-05 01:53:58 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.